#
# spec file for package python-ed25519ll
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-ed25519ll
Version:        0.6
Release:        10.2
License:        MIT
Summary:        A low-level ctypes wrapper for Ed25519 digital signatures
Url:            http://bitbucket.org/dholth/ed25519ll/
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/e/ed25519ll/ed25519ll-%{version}.tar.gz
BuildRequires:  python-devel
# Test requirements:
BuildRequires:  python-nose
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%description
Ed25519 is a public-key signature system with several attractive features 
including:

* Fast single-signature verification.
* Very fast signing.
* Fast key generation.
* High security level.
* Small signatures. Signatures fit into 64 bytes.
* Small keys. Public keys consume only 32 bytes. 

This text abridged from http://ed25519.cr.yp.to/.

%prep
%setup -q -n ed25519ll-%{version}

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc README.txt CHANGES.txt
%{python_sitearch}/*

%changelog
* Mon Aug 12 2013 speilicke@suse.com
- Initial version
